# Search deposits Get list of deposits for an exchange Endpoint: POST /exchanges/{ExchangeCode}/accounts/{AccountIdentifier}/action/search-deposits Version: 1.0.0-beta Security: bearerToken ## Path parameters: - `ExchangeCode` (string, required) Exchange code Example: "CBL , RVCMC" - `AccountIdentifier` (string, required) Account identifier Example: "098B0A25" ## Response 200 fields (application/json): - `depositIdentifier` (string, required) Unique identifier. - `executionVenue` (object, required) - `executionVenue.code` (string, required) Target execution venue code. - `executionVenue.name` (string, required) Target execution venue code name. - `depositMarket` (object) - `depositMarket.market` (object, required) - `depositMarket.market.name` (string, required) Name of the target market on the execution venue. - `depositMarket.market.apiCode` (string, required) AIP code sent to the execution venue. - `depositMarket.marketModelInstrument` (object, required) - `depositMarket.marketModelInstrument.description` (string, required) Description of the Market Model Instrument for the deposit. - `depositMarket.marketModelInstrument.price` (object, required) - `depositMarket.marketModelInstrument.price.amount` (number, required) Price, if applicable, for the deposit. - `taxLot` (object, required) - `taxLot.name` (string, required) The name of the TaxLot associated with the deposit. - `instrument` (object, required) - `instrument.ein` (string, required) The EIN code for the deposit. - `instrument.description` (string, required) The Xpansiv Connect description for the EIN on the deposit. - `instrument.type` (string) Denotes whether the deposit is for CARBON or REC. Enum: "CARBON", "REC" - `instrument.program` (string, required) The program associated with the product on deposit. - `instrument.vintage` (object, required) - `instrument.vintage.year` (integer, required) Vintage year. - `instrument.vintage.month` (integer) Vintage month. - `instrument.resource` (object, required) - `instrument.resource.name` (string, required) The registry name of the item on deposit. - `instrument.resource.registryAssignedId` (string) The registry assigned id for the item on deposit. - `quantity` (integer, required) The original quantity of the deposit. - `availableQuantity` (integer, required) The remaining quantity of the deposit. - `settledQuantity` (integer, required) The quantity of the deposit settled as a result of trading activity. - `status` (string, required) The current status of the deposit in relation to the execution venue. Enum: "PENDING", "DEPOSITED", "REJECTED" ## Response 400 fields (application/json): - `code` (string) Enum: "INVALID_EXCHANGE", "INVALID_ACCOUNT" - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string)